Upstream information

CVE-2018-19638 at MITRE

Description

In supportutils, before version 3.1-5.7.1 and if pacemaker is installed on the system, an unprivileged user could have overwritten arbitrary files in the directory that is used by supportutils to collect the log files.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 3.3
Vector AV:L/AC:M/Au:N/C:N/I:P/A:P
Access Vector Local
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 4.7 3.3
Vector AV:L/AC:H/PR:L/UI:N/S:U/C:N/I:H/A:N AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:L/A:N
Access Vector Local Local
Access Complexity High Low
Privileges Required Low Low
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact High Low
Availability Impact None None
SUSE Bugzilla entries: 1063385 [RESOLVED / FIXED], 1118460 [IN_PROGRESS], 1118462 [RESOLVED / FIXED], 1118463 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE CaaS Platform ALL
  • supportutils >= 3.0-95.21.1
Patchnames:
SUSE-CAASP-ALL-2019-1122
SUSE Enterprise Storage 4
  • hostinfo >= 1.0.1-19.5.1
  • supportutils >= 3.0-95.21.1
Patchnames:
SUSE-Storage-4-2019-1122
SUSE Linux Enterprise Desktop 12 SP3
  • supportutils >= 3.0-95.21.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2019-1122
SUSE Linux Enterprise Desktop 12 SP4
  • supportutils >= 3.0-95.21.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2019-1122
SUSE Linux Enterprise Module for Basesystem 15
  • supportutils >= 3.1-5.7.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-2019-480
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • supportutils >= 3.1.1-5.10.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP1 GA supportutils
SUSE Linux Enterprise Point of Sale 11 SP3
  • supportutils >= 1.20-122.9.1
Patchnames:
sleposp3-supportutils-13976
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • hostinfo >= 1.0.1-19.5.1
  • supportutils >= 3.0-95.21.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2019-1122
SUSE Linux Enterprise Server 11 SP4
  • supportutils >= 1.20-122.9.1
Patchnames:
slessp4-supportutils-13976
SUSE Linux Enterprise Server 12 SP1-LTSS
  • hostinfo >= 1.0.1-19.5.1
  • supportutils >= 3.0-95.21.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2019-1122
SUSE Linux Enterprise Server 12 SP2-BCL
  • hostinfo >= 1.0.1-19.5.1
  • supportutils >= 3.0-95.21.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2019-1122
SUSE Linux Enterprise Server 12 SP2-ESPOS
  • hostinfo >= 1.0.1-19.5.1
  • supportutils >= 3.0-95.21.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2019-1122
SUSE Linux Enterprise Server 12 SP2-LTSS
  • hostinfo >= 1.0.1-19.5.1
  • supportutils >= 3.0-95.21.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2019-1122
SUSE Linux Enterprise Server 12 SP3
  • hostinfo >= 1.0.1-19.5.1
  • supportutils >= 3.0-95.21.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-1122
SUSE Linux Enterprise Server 12 SP4
  • hostinfo >= 1.0.1-19.5.1
  • supportutils >= 3.0-95.21.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-1122
SUSE Linux Enterprise Server 12-LTSS
  • hostinfo >= 1.0.1-19.5.1
  • supportutils >= 3.0-95.21.1
Patchnames:
SUSE-SLE-SERVER-12-2019-1122
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • supportutils >= 1.20-122.9.1
Patchnames:
slessp4-supportutils-13976
SUSE Linux Enterprise Server for SAP Applications 12 SP1-LTSS
  • hostinfo >= 1.0.1-19.5.1
  • supportutils >= 3.0-95.21.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2019-1122
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • hostinfo >= 1.0.1-19.5.1
  • supportutils >= 3.0-95.21.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2019-1122
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • hostinfo >= 1.0.1-19.5.1
  • supportutils >= 3.0-95.21.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2019-1122
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • hostinfo >= 1.0.1-19.5.1
  • supportutils >= 3.0-95.21.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2019-1122
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • hostinfo >= 1.0.1-19.5.1
  • supportutils >= 3.0-95.21.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2019-1122
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • hostinfo >= 1.0.1-19.5.1
  • supportutils >= 3.0-95.21.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-1122
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • hostinfo >= 1.0.1-19.5.1
  • supportutils >= 3.0-95.21.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-1122
SUSE Linux Enterprise Server for SAP Applications 12-LTSS
  • hostinfo >= 1.0.1-19.5.1
  • supportutils >= 3.0-95.21.1
Patchnames:
SUSE-SLE-SERVER-12-2019-1122
SUSE OpenStack Cloud 7
  • hostinfo >= 1.0.1-19.5.1
  • supportutils >= 3.0-95.21.1
Patchnames:
SUSE-OpenStack-Cloud-7-2019-1122
openSUSE Leap 15.0
  • supportutils >= 3.1-lp150.4.3.1
Patchnames:
openSUSE-2019-293
openSUSE Leap 42.3
  • hostinfo >= 1.0.1-21.3.1
Patchnames:
openSUSE-2019-1351


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
CaaS Platform 1.0 supportutils Released
CaaS Platform 2.0 supportutils Released
CaaS Platform 3.0 supportutils Affected
SUSE Linux Enterprise Desktop 12 SP3 supportutils Released
SUSE Linux Enterprise Desktop 12 SP4 supportutils Released
SUSE Linux Enterprise High Performance Computing 12 supportutils Released
SUSE Linux Enterprise Module for Basesystem 15 GA supportutils Released
SUSE Linux Enterprise Server 11 SP3 LTSS supportutils Affected
SUSE Linux Enterprise Server 11 SP4 supportutils Released
SUSE Linux Enterprise Server 12 GA LTSS supportutils Released
SUSE Linux Enterprise Server 12 SP1 LTSS supportutils Released
SUSE Linux Enterprise Server 12 SP2 LTSS supportutils Released
SUSE Linux Enterprise Server 12 SP3 supportutils Released
SUSE Linux Enterprise Server 12 SP4 supportutils Released
SUSE Linux Enterprise Server for SAP Applications 11 SP3 supportutils Affected
SUSE Linux Enterprise Server for SAP Applications 12 GA supportutils Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 supportutils Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 supportutils Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 supportutils Released